Package org.eclipse.birt.report.model.api

# Class MemberIterator

java.lang.Object
org.eclipse.birt.report.model.api.MemberIterator

All Implemented Interfaces:
  `Iterator`

public class MemberIterator extends Object implements Iterator
An iterator over the members of a structure. Each call to `getNext( )` returns a `MemberHandle` for the next structure member.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`isValid`
`protected Iterator`
`iter`
Iterator over the members.
`protected org.eclipse.birt.report.model.metadata.StructureDefn`
`structDefn`
The definition of the structure.
`protected StructureHandle`
`structHandle`
Handle to the structure itself.

## Constructor Summary

Constructors
Constructor
Description
`MemberIterator(StructureHandle struct)`
Constructs a member iterator with the given structure handle.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`Object`
`next()`
Returns a handle to the next member.
`void`
`remove()`
The remove operation is not supported when iterating over a structure; the application cannot remove members of a structure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### structHandle

protected StructureHandle structHandle
Handle to the structure itself.

### structDefn

protected org.eclipse.birt.report.model.metadata.StructureDefn structDefn
The definition of the structure.

### iter

protected Iterator iter
Iterator over the members.

### isValid

protected boolean isValid

## Constructor Details

### MemberIterator

public MemberIterator(StructureHandle struct)
Constructs a member iterator with the given structure handle.

Parameters:
  `struct` - handle to the structure over which to iterate

## Method Details

### remove

public void remove()
The remove operation is not supported when iterating over a structure; the application cannot remove members of a structure.

Specified by:
  `remove` in interface `Iterator`

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator`

### next

public Object next()
Returns a handle to the next member. Implementation of iterator.next( )

Specified by:
  `next` in interface `Iterator`
Returns:
  a handle to the next member.
See Also:
  - `MemberHandle`